• Register
  • Help
Results 1 to 6 of 6

Topic: going back to a previous version of Omnisphere

Share/Bookmark
  1. #1

    going back to a previous version of Omnisphere

    Hi,
    Does anyone know if I can revert back to an older version (prior to the latest) of Omnisphere?
    I'm having memory issues with the latest version as can be read here:
    http://www.northernsounds.com/forum/...ad.php?t=69589

    Thanks.
    Q6600 Quad Core 2.4GHz, 4GB RAM, E-MU 1616m audio interface, Cubase Studio 4.1.2, Windows XP Pro sp.3, Omnisphere, Atmosphere, Addictive Drums, Amplitube 2 + Jimi Hendrix, Monstrous

  2. #2

    Re: going back to a previous version of Omnisphere

    Quote Originally Posted by Dutch View Post
    Simply load the old DLL in your host.
    That's not so easy since I don't have the old software installer file.
    I now think it was foolish of me not to save the old files.
    Of course I have backed up my HD before this update but I don't want to reformat my HD and install the backed up version just to test Omni.
    Looking at the updates at the Spectrasonics site, I think I went from 1.0.4g to the latest version so if I could get the 1.0.4g installer file that would be great and I could test if it's really a problem with the latest version.
    Q6600 Quad Core 2.4GHz, 4GB RAM, E-MU 1616m audio interface, Cubase Studio 4.1.2, Windows XP Pro sp.3, Omnisphere, Atmosphere, Addictive Drums, Amplitube 2 + Jimi Hendrix, Monstrous

  3. #3
    Senior Member playz123's Avatar
    Join Date
    Jan 2007
    Location
    Victoria, Canada
    Posts
    535

    Re: going back to a previous version of Omnisphere

    Log in, click on Omnisphere downloads page, and on that page, at the bottom of the current downloads, click on "Legacy Download Area" (it's text, but isn't bolded or underlined until you hover over). Currently, that will take you to a download page for 1.0.4 g.................playz
    Cubase 7.0.3, Wavelab 7.1, Omnisphere, Trilian, Stylus RMX, Symphobia 1 & 2 , all Spitfire libraries, LASS 2, Requiem Pro, Voxos, Superior Drummer 2, Komplete 8, Cinematic Guitars, most EW libraries, Chris Hein Horns, Guitar & Bass, 2.8 GHz Mac Pro, 18 GB RAM, OS 10.6.8, RME Multiface II + HDSP PCIe

  4. #4

    Re: going back to a previous version of Omnisphere

    Dutch, I want a newer version than the 1.0. That version was not good either.

    Playz123, thanks for the heads up. I will look into this right now.
    Do you know if I can stick with the current patch library or do I need to also go back to the 1.0.4?
    Q6600 Quad Core 2.4GHz, 4GB RAM, E-MU 1616m audio interface, Cubase Studio 4.1.2, Windows XP Pro sp.3, Omnisphere, Atmosphere, Addictive Drums, Amplitube 2 + Jimi Hendrix, Monstrous

  5. #5

    Re: going back to a previous version of Omnisphere

    You can use the current patch library with the previous software version.

  6. #6

    Re: going back to a previous version of Omnisphere

    Eric,
    Is the problem I'm experiencing with the latest update something that others have complained about also? Can't imagine why it would be specific to my system when I haven't changed anything and I've upgraded to 4GB of RAM. I can't fill out 1 instance of Omnisphere when previously I could run almost 2 full instances together with other VSTIs and effects.
    Q6600 Quad Core 2.4GHz, 4GB RAM, E-MU 1616m audio interface, Cubase Studio 4.1.2, Windows XP Pro sp.3, Omnisphere, Atmosphere, Addictive Drums, Amplitube 2 + Jimi Hendrix, Monstrous

Go Back to forum

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •